body {
  margin: 0;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  background-image: linear-gradient(to top, #fbc2eb 0%, #a6c1ee 100%);
}

.round {
  position: absolute;
  height: 20rem;
  width: 20rem;
  border-radius: 50%;
  animation: min 10s linear infinite;
  animation-direction: reverse;
  background-color: rgba(255, 255, 255, 0.2);
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.1),
    5px 5px 10px rgba(255, 255, 255, 0.1) inset;
}

.boundary {
  position: relative;
  height: 20rem;
  width: 20rem;
  border-radius: 50%;
}

.cover {
  position: absolute;
  height: 2rem;
  width: 2rem;
  border-radius: 50%;
  border: 4px solid black;
  border-style: dashed;
  top: 50%;
  left: 50%;
  animation: cov 10s linear infinite;
  animation-direction: reverse;
  z-index: 1;
}

.cover1 {
  position: absolute;
  height: 0.9rem;
  width: 0.9rem;
  border-radius: 50%;
  background-color: black;
  top: 50%;
  left: 50%;

  transform: translate(-50%, -50%);

  z-index: 2;
}

.hour {
  position: absolute;
  width: 6.5rem;
  height: 0.2rem;
  top: 50%;
  left: 50%;
  background-color: indianred;
  transform-origin: left center;
  border-radius: 50% 50% 50% 0;
  transform: translateY(0%) rotate(210deg);
}

.minute {
  position: absolute;
  width: 8.5rem;
  height: 0.2rem;
  top: 50%;
  left: 50%;
  background-color: indianred;
  transform-origin: left center;
  transform: rotate(-30deg) translateY(-50%);
  border-radius: 50% 50% 50% 0;
  /* transform: rotate(-30deg); */
}

.second {
  position: absolute;
  width: 8.5rem;
  height: 0.2rem;
  top: 50%;
  left: 50%;
  background-color: indianred;
  transform-origin: left center;
  animation: sec 60s steps(60, end) infinite;
  border-radius: 50% 50% 50% 0;
  transform: rotate(90deg);
}

@keyframes sec {
  from {
    transform: translateY(-50%) rotate(0deg);
  }
  to {
    transform: translateY(-50%) rotate(360deg);
  }
}
@keyframes cov {
  from {
    transform: translate(-50%, -50%) rotate(0deg);
  }
  to {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}
